﻿$ErrorActionPreference = 'Stop'

$packageName = 'conan'
$url32       = 'https://github.com/conan-io/conan/releases/download/1.34.0/conan-win-32_1_34_0.exe'
$url64       = 'https://github.com/conan-io/conan/releases/download/1.34.0/conan-win-64_1_34_0.exe'
$checksum32  = '55203c20919ef409c29f238358d3a86e9614f0c99edf1ac5f53a2bcee43edac9'
$checksum64  = '170afc58ee3011bb608c545838213e8bea7c8d0a8956fda09a6a92f30c5a81b7'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  silentArgs     = '/VERYSILENT'
  validExitCodes = @(0)
}
Install-ChocolateyPackage @packageArgs

# Add conan to PATH
$conan_path = "C:\Program Files\Conan\conan"
Install-ChocolateyPath -PathToInstall $conan_path -PathType User
